{% extends 'base.html' %}
{% block content %}
    <a href="{% url 'polls:index' %}" class="btn btn-secondary btn-sm mb-3">Back To Polls</a>
    <h1 class="text-center mb-3">{{ question.question_text }}</h1>

    {% if error_message %}
        <p class="alert alert-danger">
            <strong>{{ error_message }}</strong>
        </p>
    {% endif %}

    <form action="{% url 'polls:vote' question.id %}" method="post">
        {% csrf_token %}
        {% for choice in question.choice_set.all %}
            <div class="form-check">
                <input type="radio"
                       name="choice"
                       class="form-check-input"
                       id="choice{{ forloop.counter }}"
                       value="{{ choice.id }}"/>
                <label for="choice{{ forloop.counter }}">{{ choice.choice_text }}</label>
            </div>
        {% endfor %}
        <input type="submit" value="Vote" class="btn btn-success btn-lg btn-block mt-4"/>
    </form>
{% endblock %}